### Hierarchy

- IDBCursor
  - IDBCursorWithValue

## Index

### Properties

- direction
- key
- primaryKey
- source

### Methods

- advance
- continue
- continuePrimaryKey
- delete
- update

## Properties

### direction

direction: IDBCursorDirection

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8709

Returns the direction ("next", "nextunique", "prev" or "prevunique") of the cursor.

### key

key: IDBValidKey | IDBKeyRange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8714

Returns the key of the cursor. Throws a "InvalidStateError" DOMException if the cursor is advancing or is finished.

### primaryKey

primaryKey: IDBValidKey | IDBKeyRange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8719

Returns the effective key of the cursor. Throws a "InvalidStateError" DOMException if the cursor is advancing or is finished.

### source

source: IDBObjectStore | IDBIndex

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8723

Returns the IDBObjectStore or IDBIndex the cursor was opened from.

## Methods

### advance

- advance(count: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8728

  Advances the cursor through the next count records in range.

  #### Parameters

  - ##### count: number

  #### Returns void

### continue

- continue(key?: IDBValidKey | IDBKeyRange): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8733

  Advances the cursor to the next record in range matching or after key.

  #### Parameters

  - ##### Optional key: IDBValidKey | IDBKeyRange

  #### Returns void

### continuePrimaryKey

- continuePrimaryKey(key: IDBValidKey | IDBKeyRange, primaryKey: IDBValidKey | IDBKeyRange): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8738

  Advances the cursor to the next record in range matching or after key and primaryKey. Throws an "InvalidAccessError" DOMException if the source is not an index.

  #### Parameters

  - ##### key: IDBValidKey | IDBKeyRange

  - ##### primaryKey: IDBValidKey | IDBKeyRange

  #### Returns void

### delete

- delete(): IDBRequest<undefined>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8743

  Delete the record pointed at by the cursor with a new value. If successful, request's result will be undefined.

  #### Returns IDBRequest<undefined>

### update

- update(value: any): IDBRequest<IDBValidKey>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8749

  Updated the record pointed at by the cursor with a new value. Throws a "DataError" DOMException if the effective object store uses in-line keys and the key would have changed. If successful, request's result will be the record's key.

  #### Parameters

  - ##### value: any

  #### Returns IDBRequest<IDBValidKey>

Generated using TypeDoc